Loading...
Searching...
No Matches
pappso::ResPrecision Class Reference

`#include <precision.h>`

Inheritance diagram for pappso::ResPrecision:

## Public Member Functions

virtual | ~ResPrecision ()
virtual Enums::PrecisionUnit | unit () const override
virtual pappso_double | delta (pappso_double value) const override
virtual QString | toString () const override
Public Member Functions inherited from pappso::PrecisionBase
virtual pappso_double | getNominal () const final

## Protected Member Functions

| ResPrecision (pappso_double x)
Protected Member Functions inherited from pappso::PrecisionBase
| PrecisionBase (pappso_double nominal)

## Friends

class | PrecisionFactory

## Additional Inherited Members

Protected Attributes inherited from pappso::PrecisionBase
const pappso_double | m_nominal

## Detailed Description

Definition at line 104 of file precision.h.

## Constructor & Destructor Documentation

## ResPrecision()

pappso::ResPrecision::ResPrecision | ( | pappso_double | x | ) |

protected

Definition at line 300 of file precision.cpp.

: PrecisionBase(x)
{
}
pappso::PrecisionBase::PrecisionBase
PrecisionBase(pappso_double nominal)
Definition precision.h:48
pappso::PeptideIonCter::x
@ x
Definition peptide.h:92

References pappso::PrecisionBase::PrecisionBase().

Referenced by PrecisionFactory.

## ~ResPrecision()

pappso::ResPrecision::~ResPrecision | ( |  | ) |

virtual

Definition at line 305 of file precision.cpp.

{
}

## Member Function Documentation

## delta()

pappso_double pappso::ResPrecision::delta | ( | pappso_double | value | ) | const

override virtual

Implements pappso::PrecisionBase.

Definition at line 317 of file precision.cpp.

{
return (value / m_nominal);
}
pappso::PrecisionBase::m_nominal
const pappso_double m_nominal
Definition precision.h:46

References pappso::PrecisionBase::m_nominal.

Referenced by PrecisionFactory.

## toString()

QString pappso::ResPrecision::toString | ( |  | ) | const

override virtual

Implements pappso::PrecisionBase.

Definition at line 324 of file precision.cpp.

{
return (QString("%1 res").arg(m_nominal));
}

References pappso::PrecisionBase::m_nominal.

Referenced by PrecisionFactory.

## unit()

Enums::PrecisionUnit pappso::ResPrecision::unit | ( |  | ) | const

override virtual

Implements pappso::PrecisionBase.

Definition at line 310 of file precision.cpp.

{
return Enums::PrecisionUnit::res;
}
pappso::Enums::PrecisionUnit::res
@ res
Definition types.h:100

References pappso::Enums::res.

Referenced by PrecisionFactory.

## Friends And Related Symbol Documentation

## PrecisionFactory

friend class PrecisionFactory

friend

Definition at line 106 of file precision.h.

References ResPrecision(), delta(), PrecisionFactory, toString(), and unit().

Referenced by PrecisionFactory.

The documentation for this class was generated from the following files:

- pappsomspp/core/precision.h
- pappsomspp/core/precision.cpp